<?php
	defined('_IN_JOHNCMS') or die('Error: restricted access');
	$counts = @ mysql_result(mysql_query('SELECT COUNT(*) FROM `' . $set['prefblog'] . 'blogs` WHERE `id`=' . $id . ''.($rights > 7?'':' AND `mod`=0').';'), 0);
	if($counts==0)
	{
		$textl = 'Блоги';
		require_once('../incfiles/head.php');
		echo '<div class="menu">Ошибка! Статьи не существует!</div>';
		require_once ('../incfiles/end.php');
		exit;
	}
	$row = mysql_fetch_assoc(mysql_query("SELECT * FROM `" . $set['prefblog'] . "blogs` WHERE `id`='" . $id . "';"));
	if ($_SESSION['blogs'] != $id)
	{
		$_SESSION['blogs'] = $id;
		$blogscount = intval($row['count']) + 1;
		mysql_query("UPDATE `" . $set['prefblog'] . "blogs` SET  `count` = '" . $blogscount . "' WHERE `id` = '" . $id . "'");
	}
	$req = mysql_query("SELECT * FROM `" . $set['prefblog'] . "blogs_rdm` WHERE `topic_id` = '".$id."' AND `user_id` = '".$user_id."' LIMIT 1");
	if (mysql_num_rows($req) > 0)
	{
		mysql_query("UPDATE `" . $set['prefblog'] . "blogs_rdm` SET `time` = '".$realtime."' WHERE `topic_id`='".$id."' AND `user_id` = '".$user_id."'");
	}
	else
	{
		// Ставим метку о прочтении
		mysql_query("INSERT INTO `" . $set['prefblog'] . "blogs_rdm` SET  `topic_id` = '".$id."', `user_id` = '".$user_id."', `time` = '".$realtime."'");
	}
	$textl = 'Блоги | '.$row['name'];
	require_once('../incfiles/head.php');
	echo '<div class="phdr"><a href="./">Блоги</a> | <strong>' . $row['name'] . '</strong></div>';
	//$req = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id`='" . $row['uid'] . "';"));
	//echo '<div class="menu">'.show_blog($req, $row['time'],$row['count'],NULL,NULL,$row['id'],1,1).'</div>';
	$golos = @ mysql_result(mysql_query('SELECT COUNT(*) FROM `' . $set['prefblog'] . 'blogs_rat` WHERE `ref`='.$id.';'), 0);
	$count = @ mysql_result(mysql_query('SELECT SUM(`count`) FROM `' . $set['prefblog'] . 'blogs_rat` WHERE `ref`='.$id.';'), 0);
	$rating = @ floor($count / $golos);
	$out .= '<div class="func">Автор: <b>' . $row['from'] . '</b><br />';
	$out .= ($golos!=0) ? 'Рейтинг: <img src="img/star'.$rating.'.png" alt="'.$rating.'" width="50" height="10" /> | Голосов: <a href="?act=golosa&amp;id='.$id.'">'.$golos.'</a><br />':'';
	$out .= 'Статья написана: '.date_n($row['time']).'<br />';
	$out .= 'Прочтений: '.$row['count'].'</div>';
	if($cat==0) if($text) $out .= '</div>';
	echo '<div class="list1">'.$out.'</div>';
	if($mod == 'full')
	{
		echo '<div class="list2">';
		if (file_exists(('screen/' . $row['id'] . '.png')))
		{
			echo '<a href="screen/'.$row['id'].'.png">';
			echo '<img src="image.php?file=' . (urlencode($row['id'].'.png')) . '&amp;wh='.$set_blogs['max_screen'].'" alt="Нажмите для просмотра изображения" style="float: left; margin: 2px 6px 2px 0;"/></a>';
		}
		echo checkout($row['text'], 1, 1);
		$res = mysql_fetch_assoc(mysql_query("SELECT * FROM `".$set['prefblog']."blogs_files` WHERE `post` = '" . $row['id'] . "';"));
		if (!empty($res['name']) && file_exists(('files/' . $res['name'])))
		{
			// Предпросмотр изображений
			$att_ext = strtolower(format('files/' . $res['name']));
			$pic_ext = array('gif', 'jpg', 'jpeg', 'png');
			if (in_array($att_ext, $pic_ext))
			{
				echo '<br /><div class="func">Файл:<br />';
				echo '<a href="load.php?id='.$res['id'].'">';
				echo '<img src="images.php?file=' . (urlencode($res['name'])) . '&amp;wh='.$set_blogs['max_prev'].'" alt="Нажмите для просмотра изображения" /></a><br />
				('.formatsize($res['size']).') ['.$res['count'].']</div>';
			}
			else
			{
				echo '<br /><div class="func">Файл:<br />';
				echo '<img src="img/load.gif" alt="&raquo;" width="10" height="10" />&nbsp;<a href="load.php?id='.$res['id'].'">'.$res['name'].'</a> ('.formatsize($res['size']).') ['.$res['count'].']</div>';
			}
		}
		echo '</div>';
		echo '<div class="menu"><a href="?act=view&amp;id='.$id.'">Разбить на страницы</a></div>';
	}
	else
	{
		###################
		#Разбивка текста на страницы#
		###################
		$simvol = 1000;
		$tx = $row['text'];
		$strrpos = mb_strrpos($tx, " ");
		$pages = 1;
		// Вычисляем номер страницы
		if (isset ($_GET['page'])) 
		{
			$page = abs(intval($_GET['page']));
			if ($page == 0)
			$page = 1;
			$start = $page - 1;
		}
		else
		{
			$page = $start + 1;
		}
		$t_si = 0;
		if ($strrpos)
		{
			while ($t_si < $strrpos)
			{
				$string = mb_substr($tx, $t_si, $simvol);
				$t_ki = mb_strrpos($string, " ");
				$m_sim = $t_ki;
				$strings[$pages] = $string;
				$t_si = $t_ki + $t_si;
				if ($page == $pages)
				{
					$page_text = $strings[$pages];
				}
				if ($strings[$pages] == "")
				{
					$t_si = $strrpos++;
				}
				else
				{
					$pages++;
				}
			}
			if ($page >= $pages)
			{
				$page = $pages - 1;
				$page_text = $strings[$page];
			}
			$pages = $pages - 1;
			if ($page != $pages)
			{
				$prb = mb_strrpos($page_text, " ");
				$page_text = mb_substr($page_text, 0, $prb);
			}
		}
		else 
		{
			$page_text = $tx;
		}
		$page_text = checkout($page_text, 1, 1);
		echo '<div class="list2">';
		if (file_exists(('screen/' . $row['id'] . '.png')) AND $page==1)
		{
			echo '<a href="screen/'.$row['id'].'.png">';
			echo '<img src="image.php?file=' . (urlencode($row['id'].'.png')) . '&amp;wh='.$set_blogs['max_screen'].'" alt="Нажмите для просмотра изображения" style="float: left; margin: 2px 6px 2px 0;"/></a>';
		}
		echo $page_text.'<br />';
		$res = mysql_fetch_assoc(mysql_query("SELECT * FROM `".$set['prefblog']."blogs_files` WHERE `post` = '" . $row['id'] . "';"));
		if (!empty($res['name']) && file_exists(('files/' . $res['name'])))
		{
			// Предпросмотр изображений
			$att_ext = strtolower(format('files/' . $res['name']));
			$pic_ext = array('gif', 'jpg', 'jpeg', 'png');
			if (in_array($att_ext, $pic_ext))
			{
				echo '<div class="func">Файл:<br />';
				echo '<a href="load.php?id='.$res['id'].'">';
				echo '<img src="images.php?file=' . (urlencode($res['name'])) . '&amp;wh='.$set_blogs['max_prev'].'" alt="Нажмите для просмотра изображения" /></a><br />
				('.formatsize($res['size']).') ['.$res['count'].']</div>';
			}
			else
			{
				echo '<div class="func">Файл:<br />';
				echo '<img src="img/load.gif" alt="&raquo;" width="10" height="10" />&nbsp;<a href="load.php?id='.$res['id'].'">'.$res['name'].'</a> ('.formatsize($res['size']).') ['.$res['count'].']</div>';
			}
		}
		echo '</div>';
			
		if ($pages > 1)
		{
			echo '<div class="menu">' . pagenav('index.php?act=view&amp;id=' . $id . '&amp;', $start, $pages, 1) . '<br/>';
			echo '<form action="" method="POST">
			<input type="text" name="page" size="2" value="' . $page . '"/>&nbsp;<input type="submit" value="GO"/></form></div>';
			echo '<div class="menu"><a href="?act=view&amp;mod=full&amp;id='.$id.'">На одной странице</a></div>';
		}
	}
	
	#Голосования
	if($user_id AND $row['uid'] !=$user_id)
	{
		$golos = mysql_result(mysql_query("SELECT COUNT(*) FROM `" .$set['prefblog'] . "blogs_rat` WHERE `ref`='".$id."' and `user_id`='".$user_id."';"), 0);
		if($golos == 0)
		{
			if(!$_POST)
			{
				echo '<div class="menu">Оставить голос: <form action="?act=view&amp;id='.$id.'" method="POST"><select name="rat">';
				for ($i = 10; $i >= 1;--$i)
				{
    				echo '<option>'.$i.'</option>';
				}
				echo '</select><input type="submit" value="Ok!"/></form></div>';
			}
			else
			{
				$rat = abs(intval(trim($_POST['rat'])));
				$error = array();
	
				if($rat>10 or $rat<1)
				$error[] = 'Ошибка!<br/>';
				
				if($golos != 0)
				$error[] = 'Вы уже голосовали!<br/>';
				
				if($row['uid'] ==$user_id)
				$error[] = 'За свою статью голосовать нельзя!<br/>';
				
				if(!$user_id)
				$error[] = 'Гости голосовать не могут!<br/>';
			
				if (empty ($error))
				{
					mysql_query('INSERT INTO `' .$set['prefblog'] . 'blogs_rat` SET
					`ref`=' . $id . ', `user_id`=' . $user_id . ', `date`=' . $realtime . ', `count`=' . $rat . ';');
					echo '<div class="menu">Голос учтён</div>';
				}
				else
				{
					echo display_error($error);
				}
			}
		}
	}
	if ($user_id) echo '<div class="menu">Скачать в: <a href="text.php?id=' . $id . '">TXT</a> | <a href="zip.php?id=' . $id . '">ZIP</a> | <a href="jar.php?id=' . $id . '">Java</a></div>';
	if($set['mod_blogs_comm']!=0)echo '<div class="menu"><a href="?act=komm&amp;id=' . $id . '">Комментарии</a> ['.mysql_result(mysql_query("SELECT COUNT(*) FROM `" . $set['prefblog'] . "blogs_komm` WHERE `ref`='" . $row['id'] . "';"), 0).']</div>';
	if($rights > 7)
	{
		echo '<div class="menu"><a href="../panel/index.php?act=mod_blogs&amp;mod=moderate&amp;do=edit&amp;id='.$row['id'].'">Изменить</a></div>';
		echo '<div class="menu"><a href="../panel/index.php?act=mod_blogs&amp;mod=moderate&amp;do=del&amp;id='.$row['id'].'">Удалить</a></div>';
	}
	elseif($row['uid']==$user_id)
	{
		echo '<div class="menu"><a href="index.php?act=edit&amp;id='.$id.'">Изменить</a></div>';
		echo '<div class="menu"><a href="index.php?act=del&amp;id='.$id.'">Удалить</a></div>';
	}
?>